Loading...
Searching...
No Matches
LZO
libavutil » Crypto and Hashing

## Macros

#define | AV_LZO_INPUT_PADDING 8
#define | AV_LZO_OUTPUT_PADDING 12

## Functions

int | av_lzo1x_decode (void *out, int *outlen, const void *in, int *inlen)
| Decodes LZO 1x compressed data.

## Error flags returned by av_lzo1x_decode

#define | AV_LZO_INPUT_DEPLETED 1
| end of the input buffer reached before decoding finished
#define | AV_LZO_OUTPUT_FULL 2
| decoded data did not fit into output buffer
#define | AV_LZO_INVALID_BACKPTR 4
| a reference to previously decoded data was wrong
#define | AV_LZO_ERROR 8
| a non-specific error in the compressed bitstream

## Detailed Description

## Macro Definition Documentation

## AV_LZO_INPUT_DEPLETED

#define AV_LZO_INPUT_DEPLETED 1

end of the input buffer reached before decoding finished

Definition at line 37 of file lzo.h.

## AV_LZO_OUTPUT_FULL

#define AV_LZO_OUTPUT_FULL 2

decoded data did not fit into output buffer

Definition at line 39 of file lzo.h.

## AV_LZO_INVALID_BACKPTR

#define AV_LZO_INVALID_BACKPTR 4

a reference to previously decoded data was wrong

Definition at line 41 of file lzo.h.

## AV_LZO_ERROR

#define AV_LZO_ERROR 8

a non-specific error in the compressed bitstream

Definition at line 43 of file lzo.h.

## AV_LZO_INPUT_PADDING

#define AV_LZO_INPUT_PADDING 8

Definition at line 46 of file lzo.h.

## AV_LZO_OUTPUT_PADDING

#define AV_LZO_OUTPUT_PADDING 12

Definition at line 47 of file lzo.h.

## Function Documentation

## av_lzo1x_decode()

int av_lzo1x_decode | ( | void * | out,
|  | int * | outlen,
|  | const void * | in,
|  | int * | inlen
| ) |  |

Decodes LZO 1x compressed data.

Parameters

  out | output buffer
  outlen | size of output buffer, number of bytes left are returned here
  in | input buffer
  inlen | size of input buffer, number of bytes left are returned here

Returns
  0 on success, otherwise a combination of the error flags above

Make sure all buffers are appropriately padded, in must provide AV_LZO_INPUT_PADDING, out must provide AV_LZO_OUTPUT_PADDING additional bytes.